Bug 794 - performance with many files in directory
performance with many files in directory
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
All Linux
: P3 normal
: none
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 07:57 UTC by arnaldo
Modified: 2005-08-24 10:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arnaldo 2003-11-19 07:57:02 UTC
I´m having problems with samba in Cobol Programs. When the programs´s directory 
has many files, the performance is very low. In Windows NT/2000 works fine. I 
have +- 5000 programs in directory.
Comment 1 Jelmer Vernooij 2004-06-10 08:52:38 UTC
Can you give more details? I.e. what kinds of operations run slow? Found
anything when doing network traces?
Comment 2 arnaldo 2004-06-11 05:18:41 UTC
(In reply to comment #1)
> Can you give more details? I.e. what kinds of operations run slow? Found
> anything when doing network traces?

I have many(+ 5000) programs files (.int).
I have 1 executable (prxxx00.exe).
This directory is on path environment variable.
When I execute the program prxxx00, the time is very long(20 seconds). If I put 
all files in a windows machine, the time is 4 seconds. My program prxxx00 
call .int programs. For each call, the time is more long using Samba

Comment 3 arnaldo 2004-06-11 06:12:01 UTC
(In reply to comment #0)
> I´m having problems with samba in Cobol Programs. When the programs´s 
directory 
> has many files, the performance is very low. In Windows NT/2000 works fine. I 
> have +- 5000 programs in directory.

I have many(+ 5000) programs files (.int).
I have 1 executable (prxxx00.exe).
This directory is on path environment variable.
When I execute the program prxxx00, the time is very long(20 seconds). If I put 
all files in a windows machine, the time is 4 seconds. My program prxxx00 
call .int programs. For each call, the time is more long using Samba
Comment 4 Gerald (Jerry) Carter 2005-02-05 07:31:23 UTC
fixed in latest 3_0 svn tree for 3.0.12.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:26:49 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.